Description
-----------
Campaign Kit allows you to create custom campaigns within your Drupal 8+ site. Though there are
many third-party services that perform similar functions, only when the code is running
on your site can you add custom functionality. One way to extend Campaign Kit is via event subscribers. Please see
the documentation for instructions.

Documentation
-------------
Find the documentation at:
https://www.gitbook.com/book/performantlabs/campaign-kit

Installation
------------
To install this module, you will require [Composer](https://getcomposer.org) on your system. Install that first
if it isn't already installed.

On the command line, instruct composer to add the module to your project:

```cd <project directory>```

```composer require drupal/campaign_kit```

Or, add the following to your project composer.json file with a text editor:

```"drupal/campaign_kit": "^1.0"```

Then run:
```composer update```

Installing the module without Composer is not recommended and is unsupported; as of Drupal 8.4 all sites should
use Composer.

Enabling the Module
-------------------
Enable the module by choosing it from /admin/modules or use Drush:

```cd <project directory/HTML directory>```

```drush en -y campaign_kit```

Allow drupal to enable all the dependent modules.

Dependencies
------------
Campaign Kit depends on several other modules that will be installed at the same time it is. See the 
campaign_kit_info.yml file for the complete list.