<?php

namespace Drupal\campaign_kit\Campaign;

/**
 * Class CampaignPayment
 * @package Drupal\campaign_kit\Campaign
 */
class CampaignPayment {

  /**
   * Get Payment Method.
   *
   * @return string
   */
  public function getPaymentMethodActivated() {
    $payment_method_manager = \Drupal::service('plugin.manager.payment.method');
    $method = '';
    foreach ($payment_method_manager->getDefinitions() as $plugin_id => $definition) {
      if ($definition['active']) {
        $method = $plugin_id;
      }
    }

    return $method;
  }

  /**
   * Get Payment Type.
   *
   * @return string
   */
  public function getPaymentTypeActivated() {
    $payment_type_manager = \Drupal::service('plugin.manager.payment.type');
    $type = '';
    unset($payment_type_manager->getDefinitions()['payment_unavailable']);
    foreach ($payment_type_manager->getDefinitions() as $plugin_id => $definition) {
      $type = $plugin_id;
    }

    return $type;
  }
}